/**
  *  \file client/actions/gamission.h
  *  \brief Global Actions: Missions
  *
  *  (c) 2001-2021 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_ACTIONS_GAMISSION_H
#define PCC_V2_CLIENT_ACTIONS_GAMISSION_H

#include "client/globalact.h"

/** "Set starbase missions" global action. */
class WGlobalBaseMissionAction : public WGlobalAction {
    class Executer;
 public:
    WGlobalActionExecuter* prepare();
};

/** "Set starship missions" global action. */
class WGlobalShipMissionAction : public WGlobalAction {
    class Executer;
 public:
    WGlobalActionExecuter* prepare();
};

/** "Set primary enemy" global action. */
class WGlobalShipEnemyAction : public WGlobalAction {
    class Executer;
 public:
    WGlobalActionExecuter* prepare();
};

#endif
