/**
  *  \file client/wcolorframe.h
  *  \brief Color Frame Widget
  *  \author Stefan Reuther
  *
  *  (c) 2001-2021 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WCOLORFRAME_H
#define PCC_V2_CLIENT_WCOLORFRAME_H

#include "ui/ui.h"
#include "ui/util.h"

/** Color for a WColorFrame. */
enum TFrameColor {
    cf_None,
    cf_Green,
    cf_Red,
    cf_Yellow
};

/** Colored frame. This widget is intended to contain a single other widget
    (a button, usually), which it wraps into a frame of a settable color. It
    is intended to be used for status-indicating buttons. */
class WColorFrame : public UILayoutableWidget {
 public:
    WColorFrame();
    void setColor(TFrameColor c);
    void drawContent(GfxCanvas& can);
    void adjustSize(GfxRect& size, bool to_inner);

 private:
    TFrameColor color;
};

#endif
