/**
  *  \file int/if/richif.h
  *
  *  (c) 2001-2021 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_INT_IF_RICHIF_H
#define PCC_V2_INT_IF_RICHIF_H

#include "ui/richtext.h"
#include "cpluslib/smartptr.h"
#include "int/value.h"

class IntArgBlock;

class IntRichTextValue : public IntValue {
 public:
    IntRichTextValue(Ptr<RichText> value);
    ~IntRichTextValue();

    // IntValue:
    virtual string_t toString(bool readable);
    virtual void store(IntTagNode& sv, Stream& aux);
    virtual IntValue* clone();

    // IntRichTextValue:
    Ptr<RichText> get();

 private:
    Ptr<RichText> value;
};

bool checkRichArg(Ptr<RichText>& out, IntValue* value);

IntValue* IFRAdd(IntArgBlock& args);
IntValue* IFRMid(IntArgBlock& args);
IntValue* IFRString(IntArgBlock& args);
IntValue* IFRLen(IntArgBlock& args);
IntValue* IFRStyle(IntArgBlock& args);
IntValue* IFRLink(IntArgBlock& args);
IntValue* IFRXml(IntArgBlock& args);

#endif
